---
template: overrides/main.html

hide:
- navigation
- toc
---

<style>
.md-typeset h1 {
  text-align: center;
  font-weight: 1000;
}
</style>

<div class="font-center">
The current Trino release is version <img src="https://img.shields.io/github/v/release/EdurtIO/dbm.svg" />. Learn more details from the <a href="/release-latest.html">release notes</a>.
</div>

<div class="grid cards" markdown style="margin-top: 30px; padding: 50px;">

- :fontawesome-brands-app-store-ios: __Mac App package__

    ---

    See [Installation dbm](./reference/get_started/install.md) for complete install instructions.
    
    <br />
    
    [Download latest](https://github.com/EdurtIO/dbm/releases/latest){ .md-button .md-button-primary }

- :fontawesome-brands-windows: __Windows App package__

    ---

    See [Installation dbm](./reference/get_started/install.md) for complete install instructions.

    <br />

    [Download latest](https://github.com/EdurtIO/dbm/releases/latest){ .md-button .md-button-primary }

- :material-more: __More App package__

    ---

    See [The source code to install](./reference/get_started/install.md#the-source-code-to-install) for complete install instructions.

    <br />

    [Source Code](https://github.com/EdurtIO/dbm){ .md-button .md-button-primary }

</div>

<div class="grid cards" markdown style="padding: 0 50px 30px 50px;">

- __Community resources__

    ---

    * **Chat On Slack**: [edurtio.slack.com](https://edurtio.slack.com/archives/C02EU2YM2N8)
    * **Issues**: [GitHub issues](https://github.com/EdurtIO/dbm/issues)
    * **DingTalk**: [44559111](https://gitee.com/EdurtIO/dbm/raw/master/src/shared/common/dingtalk.jpg)

- __Getting help__

    ---

    If you need help using or running dbm, please ask a question on [Slack](https://edurtio.slack.com/archives/C02EU2YM2N8). Please [report](https://github.com/EdurtIO/dbm/issues/new/choose) any issue you find with dbm.

</div>

# External resources

<div class="grid cards" markdown style="padding: 0 50px 30px 50px;">

- __ClickHouse__

    ---

    * **Documentation**: [clickhouse.com](https://clickhouse.com/docs)
    * **Issues**: [GitHub issues](https://github.com/ClickHouse/ClickHouse/issues)
    * **Source Code**: [Code](https://github.com/ClickHouse/ClickHouse)
    * **YouTube channel** [YouTube channel](https://www.youtube.com/c/ClickHouseDB)

- __Trino__

    ---

    * **Documentation**: [trino.io](https://trino.io/docs/current/)
    * **Issues**: [GitHub issues](https://github.com/trinodb/trino/issues)
    * **Source Code**: [Code](https://github.com/trinodb/trino)
    * **YouTube channel** [YouTube channel](https://www.youtube.com/c/trinodb)
</div>
